Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.vectorJep.function
Interface BinaryOperatorI

All Superinterfaces:
  PostfixMathCommandI

All Known Implementing Classes:
  ArrayAccess, Ele, ElementComparative, ElementDivide, ExteriorProduct, MAdd, MArrayAccess, MDivide, MDot, MMultiply, MPower, MSubtract, Solve, VEle, VPower

    public interface BinaryOperatorI

extends PostfixMathCommandI

A matrix enabled binary operator. This interface is primarilary used in the matrixJep package but is here for convienience.

Author:
  Rich Morris Created on 02-Nov-2003

Method Summary
`Dimensions` | `calcDim(Dimensions ldim, Dimensions rdim)` Find the dimensions of this operator when applied to arguments with given dimensions.
`MatrixValueI` | `calcValue(MatrixValueI res, MatrixValueI lhs, MatrixValueI rhs)` Calculates the value of this operator for given input with results stored in res.

Methods inherited from interface org.nfunk.jep.function.PostfixMathCommandI
`checkNumberOfParameters, getNumberOfParameters, run, setCurNumberOfParameters`

Method Detail

### calcDim

    Dimensions calcDim(Dimensions ldim,
                       Dimensions rdim)
                       throws ParseException

  Find the dimensions of this operator when applied to arguments with given dimensions.

  Throws:
    `ParseException`

### calcValue

    MatrixValueI calcValue(MatrixValueI res,
                           MatrixValueI lhs,
                           MatrixValueI rhs)
                           throws ParseException

  Calculates the value of this operator for given input with results stored in res. res is returned. Using this method is slightly faster than the standard run method as it eliminates the construction of tempoary objects.

  Throws:
    `ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems